jQuery.fn.DivCenter = function () { 
    this.css("position","absolute"); 
    this.css("top", (($(window).height() - this.outerHeight()) / 2) + $(window).scrollTop() + "px"); 
    this.css("left", (($(window).width() - this.outerWidth()) / 2) + $(window).scrollLeft() + "px"); 
   return this; 
}

function start_popup(id, url, start, person_id) {
  var img;
  if (!start) {
    start = 1;
  }
  $.ajax({
    async: false,
    dataType: "json",
    type: "GET",
    traditional: true,
    url: url+start+'/',
    data: {
      ajax: 'popup',
      person: person_id
    },
    success: function(data, textStatus, jqXHR) {
      img = data;
    },
    error: function(jqXHR, textStatus, errorThrown) {
      alert('  ');
    }
  });

  if (!img.photo_id) {
    if (start > 1) {
      start_popup(id, url, start - 1, person_id);
      return false;
    }
  }
 
  $.fancybox({
    afterLoad: function() {
        this.title =  this.title + '<a href="' + this.href + '" target="_blank" class="fancybox_download"> </a> ';
    },
    type: 'image',
    title : img.alt,
    arrows : true,
    href: img.image, 
    wrapCSS: '-fancybox-custom',
    helpers : {
              buttons: {
                tpl: '<div id="fancybox-buttons"><ul><li><a class="btnPrev linkedImage" title="Previous" href="">Previous</a></li><li><a class="btnNext linkedImage" title="Next" href="">Next</a></li><li><a class="btnClose linkedImage" title="Close" href="javascript:$.fancybox.close();">Close</a></li></ul></div>',
                position : 'bottom',
                prev: function() {
	          if (img.photo_id) {
                    if (start > 1) {
		      start_popup(id, url, start - 1, person_id);
		      return false;
                    }
                  }
                  return false;
                },
		next: function() {
	          if (img.photo_id) {
      		    start_popup(id, url, start + 1, person_id);
                  }
                  return false;
                }
            }
    }
  });
/*
	light_init(0);

  if (img.photo_id) {
	$('.nextArrow').unbind();
	$('.prevArrow').unbind();
	lightAdd(img.image, img.image, img.image, img.title, 'photo', 'fl', '', img.alt);
	open_light(0, 'fl');
    if (start > 1) {
	  jQuery('.prevArrow').bind('click',function()
	  {
		start_popup(id, url, start - 1, person_id);
		return false;
	  });
    } else {
      jQuery('.prevArrow').bind('click',function()
	  {
		return false;
	  });
   }
    jQuery('.nextArrow').bind('click',function()
	  {
		start_popup(id, url, start + 1, person_id);
		return false;
	  });
  }*/
  return false;
}

function start_video_popup(id, url, start, person_id) {
  var img;
  if (!start) {
    start = 1;
  }
  $.ajax({
    async: false,
    dataType: "json",
    type: "GET",
    traditional: true,
    url: url+start+'/',
    data: {
      ajax: 'popup',
      person: person_id
    },
    success: function(data, textStatus, jqXHR) {
      img = data;
      //console.log(jqXHR);
    },
       
    error: function(jqXHR, textStatus, errorThrown) {
      alert('  ');
    }
  });

  if (!img.photo_id) {
    if (start > 1) {
      start_video_popup(id, url, start - 1, person_id);
      return false;
    }
  }

  $.fancybox({
    afterLoad: function() {
        this.title =  this.title + '<a href="' + this.href + '" target="_blank" class="fancybox_download"> </a> ';
    },
    type: 'inline',
    content: '<div id="vplayer"></div>',
    title : img.alt,
    arrows : true,
    href: img.image, 
    wrapCSS: '-fancybox-custom',
    helpers : {
              buttons: {
                tpl: '<div id="fancybox-buttons"><ul><li><a class="btnPrev linkedImage" title="Previous" href="">Previous</a></li><li><a class="btnNext linkedImage" title="Next" href="">Next</a></li><li><a class="btnClose linkedImage" title="Close" href="javascript:$.fancybox.close();">Close</a></li></ul></div>',
                position : 'bottom',
                prev: function() {
	          if (img.photo_id) {
                    if (start > 1) {
		      start_video_popup(id, url, start - 1, person_id);
		      return false;
                    }
                  }
                  return false;
                },
		next: function() {
	          if (img.photo_id) {
      		    start_video_popup(id, url, start + 1, person_id);
                  }
                  return false;
                }
            }
    },
    afterShow: function() {

	jwplayer("vplayer").setup({
      'flashplayer': '/builder/adm2012/jwplayer/jwplayer.flash.swf',
      'height': 480,
	  'file': img.image,
      'width': 640,
	  'controlbar': 'bottom'
    });

    }
  });


/*

//var player = '<EMBED src="/manager/videoplayer/player.swf" height="592" width="900" allowscriptaccess="always" allowfullscreen="true" wmode="opaque" flashvars="&amp;controlbar=over&amp;file='+img.image+'"></EMBED>';
//var player = '<div id="vplayer"></div>';
  if (img.photo_id) {
    //var span_html = $('#'+id+'_title span').html();
//    $('#'+id+'_title').html(img.title+'<span class="close">'+span_html+'</span>');
    //$('#'+id+'_title').html(img.title);
    //$('#photonav_title .close').click(function(e) {
    //  $('#photonav_container .big_img').empty();
    //  e.preventDefault();
    //});
    //$('#photonav_container .big_img').html(player);
    //$('#'+id+'_alt').html(img.alt);
	light_init(0);
	$('.nextArrow').unbind();
	$('.prevArrow').unbind();
	lightAdd(img.image, img.image, img.image, img.title, 'video', 'vl', '', img.alt);
	open_light(0, 'vl');
	//jQuery('.abs .text').html(img.title);
	//jQuery('.abs .name').html(img.alt);
	
	jwplayer("vplayer").setup({
      'flashplayer': '/builder/adm2012/jwplayer/jwplayer.flash.swf',
      'height': 480,
	  'file': img.image,
      'width': 640,
	  'controlbar': 'bottom'
    });
	//alert(img.alt);	
    //$('#'+id).css('display', 'block');
    //$('#'+id+'_container').DivCenter();
    if (start > 1) {
      //inc = start - 1;
      //$('#'+id+'_prev').attr('onclick', "start_video_popup('"+id+"', '"+url+"', "+inc+", '"+person_id+"'); return false;");
	  jQuery('.prevArrow').bind('click',function()
	  {
		start_video_popup(id, url, start - 1, person_id);
		return false;
	  });
	} else {
      //$('#'+id+'_prev').attr('onclick', "return false;");
	  jQuery('.prevArrow').bind('click',function()
	  {
		return false;
	  });
    }
    //inc = start + 1;
    //$('#'+id+'_next').attr('onclick', "start_video_popup('"+id+"', '"+url+"', "+inc+", '"+person_id+"'); return false;");
	jQuery('.nextArrow').bind('click',function()
	{
		start_video_popup(id, url, start + 1, person_id);
		return false;
	});
  }
*/
  return false;
}
